## org.apache.maven.shared.jar.identification.exposers
Class TextFileExposer

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.apache.maven.shared.jar.identification.exposers.TextFileExposer

All Implemented Interfaces:
  JarIdentificationExposer, org.codehaus.plexus.logging.LogEnabled

    public class TextFileExposer

extends org.codehaus.plexus.logging.AbstractLogEnabled
implements JarIdentificationExposer

Exposer that examines a a JAR for files that contain the text `version` (case-insensitive) and adds the contents as potential version(s).

Plexus Component:
  role="org.apache.maven.shared.jar.identification.JarIdentificationExposer" role-hint="textFile"

Constructor Summary
`TextFileExposer()`

Method Summary
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFileExposer

    public TextFileExposer()

Method Detail

### expose

    public void expose(JarIdentification identification,
                       JarAnalyzer jarAnalyzer)

  Description copied from interface: `JarIdentificationExposer`
  Expose metadata during the identification process.

  Specified by:
    `expose` in interface `JarIdentificationExposer`
  Parameters:
    `identification` - the identification record to populate with the exposed metadata
    `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.

Copyright © 2011. All Rights Reserved.